Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 8061 - sysklogd logging alternate sockets with wrong time
Summary: sysklogd logging alternate sockets with wrong time
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: sysklogd
Version: 6.1
Hardware: i386
OS: Linux
medium
low
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-12-30 08:00 UTC by adam
Modified: 2014-03-17 02:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-01-03 20:28:35 UTC


Attachments (Terms of Use)

Description adam 1999-12-30 08:00:04 UTC
I'm running named in a chroot jail, and using the -a argument to syslogd to
get it to listen on a socket within the jail.  (/jails/named/dev/log)

Information does get logged, but it's logged (I think) with GMT, not with
the adjusted local time zone that everything else is logged with.  Which
leads to stuff like this... (note timestamps)

Dec 29 16:03:36 hostname -- MARK --
Dec 30 00:07:09 hostname named[30851]: Cleaned cache of 434 RRsets
Dec 30 00:07:09 hostname named[30851]: USAGE [...elided...]
Dec 30 00:07:09 hostname named[30851]: NSTATS [...elided...]
Dec 30 00:07:09 hostname named[30851]: XSTATS [...elided...]
Dec 29 16:18:01 hostname -- MARK --

"hostname" is running a custom 2.2.12 kernel with the latest sysklogd
package from updates.redhat.com (1.3-3) and named 8.2.2p5.  This also
happens on two other machines I administer, which use custom 2.2.13
kernels.

Comment 1 Bill Nottingham 1999-12-30 17:32:59 UTC
Do you have timezone data in your chroot jail?

Comment 2 adam 2000-01-03 17:34:59 UTC
nope -- copying /etc/localtime into the chroot jail's "/etc" solves the problem

Comment 3 Andrew Bartlett 2000-12-27 07:07:02 UTC
This is similar to bug 18671, should it be up to the application to decide the
current time?  Why can't syslogd do this (and therefore make fakeing logs a
little harder)?


Note You need to log in before you can comment on or make changes to this bug.